> For the complete documentation index, see [llms.txt](https://docs.hyphen.at/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyphen.at/flutter/sending-transactions.md).

# Sending Transactions

## Sending Transactions

How to send a transaction with the Hyphen Flutter SDK

### Creating, Signing, and Sending Transactions

To create, sign, and send transactions with the Hyphen Flutter SDK, follow these steps:

```dart
try {
  // Define Cadence script
  final String cadenceScript = "...";

  // Define arguments
  final List<Map<String, dynamic>> arguments = [...];

  // Sign and send transaction
  final String txId = await HyphenFlow.signAndSendTransaction(
    cadenceScript,
    arguments,
    true,
  );

  // Handle transaction result
  print("Transaction result: $txId");
} catch (e) {
  print("Error: $e");
}
```

* `cadenceScript`: The Cadence script to be executed in the transaction.
* `arguments`: List of arguments for the transaction.
* `withAuthorizer`: A boolean indicating whether the transaction requires an authorizer.
* `txId`: The transaction ID returned by the `signAndSendTransaction` method.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyphen.at/flutter/sending-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
